Package org.python.core

## Class ThreadState

- java.lang.Object
- - org.python.core.ThreadState

-     public class ThreadState
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `call_depth` |
    `int` | `compareStateNesting` |
    `PyException` | `exception` |
    `PyFrame` | `frame` |
    `TraceFunction` | `profilefunc` |
    `PyList` | `reprStack` |
    `TraceFunction` | `tracefunc` |
    `boolean` | `tracing` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThreadState​(PySystemState systemState)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `enterRepr​(PyObject obj)` |
    `void` | `exitRepr​(PyObject obj)` |
    `PyDictionary` | `getCompareStateDict()` |
    `PySystemState` | `getSystemState()` |
    `void` | `setSystemState​(PySystemState systemState)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### frame

          public PyFrame frame

    - #### exception

          public PyException exception

    - #### call_depth

          public int call_depth

    - #### tracing

          public boolean tracing

    - #### reprStack

          public PyList reprStack

    - #### compareStateNesting

          public int compareStateNesting

    - #### tracefunc

          public TraceFunction tracefunc

    - #### profilefunc

          public TraceFunction profilefunc

  - ### Constructor Detail

    - #### ThreadState

          public ThreadState​(PySystemState systemState)

  - ### Method Detail

    - #### setSystemState

          public void setSystemState​(PySystemState systemState)

    - #### getSystemState

          public PySystemState getSystemState()

    - #### enterRepr

          public boolean enterRepr​(PyObject obj)

    - #### exitRepr

          public void exitRepr​(PyObject obj)

    - #### getCompareStateDict

          public PyDictionary getCompareStateDict()